# Class GetTradeRequest

#### Hierarchy

- unknown
  - GetTradeRequest

- Defined in src/protobuf/grpc_pb.d.ts:2496
- Defined in src/protobuf/grpc_pb.d.ts:2508

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetTradeRequest(): GetTradeRequest

- #### Returns GetTradeRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2497

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2500

### setTradeId

- setTradeId(value: string): GetTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns GetTradeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2498

### toObject

- toObject(includeInstance?: boolean): GetTradeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetTradeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2501

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2504

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeRequest, reader: BinaryReader): GetTradeRequest

- #### Parameters

  - ##### message: GetTradeRequest

  - ##### reader: BinaryReader

  #### Returns GetTradeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2505

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetTradeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2503

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetTradeRequest): GetTradeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeRequest

  #### Returns GetTradeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2502

Generated using TypeDoc